﻿''' <summary>L'interface représente un Wrapper de la classe Alarme pour les programmes exe vb6.</summary>
''' <remarks>Sera exportée dans la bibliothéque de type créé dans l'assembly.</remarks>
Public Interface IAlarmes
    Property Nom() As String
    Sub GestAlarme()
End Interface

''' <summary>La classe alarme visible.</summary>
''' <remarks>Les éléments public seront visible. 
''' Bien implémenter toutes les définitions de l'interface.</remarks>
<ComClass(Alarme.ClassId, Alarme.InterfaceId, Alarme.EventsId)> _
Public Class Alarme

    Implements IAlarmes ' contrat entre classe et interface.

#Region "COM GUIDs"
    ' These  GUIDs provide the COM identity for this class 
    ' and its COM interfaces. If you change them, existing 
    ' clients will no longer be able to access the class.
    Public Const ClassId As String = "4a0e43b3-c03d-4a5e-a236-f2c5494e5325"
    Public Const InterfaceId As String = "19990bbb-65e8-4726-b01e-b1df1b120540"
    Public Const EventsId As String = "6e86907a-52d3-4087-8af6-c341a64a76eb"
#End Region

    Private mNom As String

    ''' <summary>Une propriété pour exemple</summary>
    ''' <value>La nouvelle valeur de la propriété.</value>
    ''' <returns>La valeur de la propriété.</returns>
    ''' <remarks>Bien implémenter l'interface.</remarks>
    Public Property Nom() As String _
    Implements IAlarmes.Nom ' implémentation de la propriété définie dans l'interface
        Get
            Return mNom
        End Get
        Set(ByVal value As String)
            mNom = value
        End Set
    End Property

    Public Sub New()
        'MyBase.New()
    End Sub

    ''' <summary>Une procedure de test.</summary>
    ''' <remarks>Bien implémenter l'interface.</remarks>
    Public Sub GestAlarme() _
    Implements IAlarmes.GestAlarme ' implémentation de la procédure définie dans l'interface
        MsgBox("alarme")
        MsgBox("Mon nom est " & mNom)
    End Sub

End Class
